/* General Reset */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Cormorant Garamond', serif; 
}


.main{
    background-color: #e9ecef;
    padding:3rem 0 ;
}


.head_part {
    background: linear-gradient(135deg, #0f4b5c, #3c9d9b); 
    color: white;
    padding: 20px 20px;
    text-align: center;
    border-radius: 8px;
    margin-bottom: 30px;
}

h3.heading {
    font-size: 48px;
    font-weight: 700;
    text-transform: uppercase;
    letter-spacing: 2px;
    margin-bottom: 15px;
}

p.heading-bottom {
    font-size: 18px;
    
    letter-spacing: 1px;
}


.container {
    max-width: 1200px;
    margin: 0 auto;
    padding: 20px;
}


.cards {
    display: grid;
    grid-template-columns: repeat(5, 1fr); 
    gap: 30px;
    justify-content: center;
    margin-top: 30px;
    perspective: 1000px; 
}


.card {
    background-color: white;
    border-radius: 12px;
    box-shadow: 0px 15px 30px rgba(0, 0, 0, 0.1);
    overflow: hidden;
    transition: transform 0.6s ease-in-out;
    position: relative;
    transform-style: preserve-3d; 
    height: 210px;
    width: 100%;
}


.card .card-front {
    position: absolute;
    width: 100%;
    height: 100%;
    backface-visibility: hidden;
    padding: 20px;
    text-align: center;
    transition: transform 0.3s ease;
}


.card .card-img {
    
    height: 70px; 
    object-fit: cover; 
    margin-bottom: 15px;
    border-radius: 10px;
}


.card .card-front h3 {
    color: black;
    font-size: 16px;
    font-weight: 600;
    
}

.card .card-front p {
    color: black;
    font-size: 17px;
    margin-bottom: 20px;
}



.btn-primary {
    background-color: #0f4b5c;
    border: none;
    padding: 12px 25px;
    font-size: 16px;
    color: white;
    border-radius: 30px;
    transition: background-color 0.3s ease;
}

.btn-primary:hover {
    background-color: #006d77;
}




@media (max-width: 1024px) {
    .cards {
        grid-template-columns: repeat(2, 1fr); 
    }
}


@media (max-width: 768px) {
    .cards {
        grid-template-columns: 1fr; 
    }
}
@media (max-width: 768px) {
    .cards {
        grid-template-columns: 1fr !important; 
    }
    /* .card .card-front {
        padding: 10px;
    }
    .card .card-front h3 {
        color: black;
        font-size: 14px;
        font-weight: 600;
    }
    .card .card-img {
        height: 59px;
       
    }
    .card .card-front p {
        font-size: 14px;
    } */
}
@media (min-width: 1025px) and (max-width: 1199px) {
    .card .card-front h3 {
       
        font-size: 14px;
       
    }
    .card .card-front p {
        font-size: 14px;
    } 
}